package com.railway.business.catenary.service;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbDmcgyq;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import java.util.List;
/**
* 检查表-地面磁感应器
* @author zcf
* @date 2021/10/13
*/
public interface IBusJcbDmcgyqService{

    /**
    * 新增
    */
    int create(BusJcbDmcgyq busJcbDmcgyq);

    /**
    * 删除
    */
    int delete(String[] ids);

    /**
    * 更新
    */
    int update(BusJcbDmcgyq busJcbDmcgyq);

    /**
    * 获取单个
    */
    BusJcbDmcgyq getInfo(String id);

    /**
    * 查询列表
    */
    List<BusJcbDmcgyq> getList(BusJcbDmcgyq busJcbDmcgyq);

    /**
     * 获取上次检查记录
     */
    BusJcbDmcgyq getLastRecord();

    /**
     * 提交
     */
    int submit(BusJcbDmcgyq busJcbDmcgyq);

    /**
     * 退回
     */
    int reject(BusJcbDmcgyq busJcbDmcgyq);

    /**
     * 确认
     */
    int confirm(BusJcbDmcgyq busJcbDmcgyq);

    /**
     * 导出Excel
     * @param query 查询条件
     * @return 文件路径
     */
    String exportExcel(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
